using System;
using System.Collections.Generic;
using System.ComponentModel;
using Microsoft.Ccr.Core;
using Microsoft.Dss.Core.Attributes;
using Microsoft.Dss.ServiceModel.Dssp;
using Microsoft.Dss.ServiceModel.DsspServiceBase;
using W3C.Soap;

namespace LegoTriBot
{
	public sealed class Contract
	{
		[DataMember]
		public const string Identifier = "http://schemas.tempuri.org/2009/02/legotribot.html";
	}
	
	[DataContract]
	public class LegoTriBotState
	{
        // maintain whether the motors are enabled
        public bool MotorEnabled;
	}
	
	[ServicePort]
	public class LegoTriBotOperations : PortSet<DsspDefaultLookup, DsspDefaultDrop, Get>
	{
	}
	
	public class Get : Get<GetRequestType, PortSet<LegoTriBotState, Fault>>
	{
		public Get()
		{
		}
		
		public Get(GetRequestType body)
			: base(body)
		{
		}
		
		public Get(GetRequestType body, PortSet<LegoTriBotState, Fault> responsePort)
			: base(body, responsePort)
		{
		}
	}
}


